Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#4762 closed enhancement (fixed)

Add Versal SDHCI Arasan driver to libbsd

Reported by: Aaron N Owned by: Chris Johns
Priority: normal Milestone: 6.1
Component: network/libbsd Version: 6
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Added support for SD card slots in libbsd for the Versal. Tested on VCK190.

Change History (15)

comment:1 Changed on 11/21/22 at 22:23:16 by Aaron N

Type: defectenhancement

comment:2 Changed on 11/22/22 at 00:58:45 by Kinsey Moore

The patch looks good to me.

comment:3 Changed on 11/22/22 at 01:16:11 by Kinsey Moore

My only comment beyond that is that I should have renamed the existing Arasan base define and reused it instead of making RTEMS_BSD_DRIVER_XILINX_ZYNQMP_SDHCI in rtems-bsd-nexus-bus.h when I added the driver to the ZynqMP platform.

comment:4 Changed on 11/22/22 at 01:20:30 by Kinsey Moore

If you feel like fixing that, you could combine the existing RTEMS_BSD_DRIVER_XILINX_ZYNQMP_SDHCI and RTEMS_BSD_DRIVER_XILINX_ZYNQ_SDHCI along with RTEMS_BSD_DRIVER_XILINX_VERSAL_SDHCI added in this patch into a single reused RTEMS_BSD_DRIVER_ARASAN_SDHCI.

comment:5 Changed on 11/22/22 at 01:40:51 by Aaron N

Added your suggestion in, v3 has the name you suggested. Thanks.

comment:6 Changed on 11/22/22 at 01:43:41 by Kinsey Moore

The v3 patch looks great, thanks!

comment:7 Changed on 11/22/22 at 02:09:14 by Aaron N

Attached patch for MMU to map SDHCI devices for the Versal.

comment:8 Changed on 11/22/22 at 02:10:26 by Kinsey Moore

That looks good as well.

comment:9 Changed on 11/22/22 at 02:39:24 by Aaron Nyholm <aaron.nyholm@…>

In [changeset:"c5fa19ecb3e1a8d1c86b72eacc811d5037896561/rtems" c5fa19e/rtems]:

rtems/versal: Updated mmu to include mapping for SDHCI devices on versal

Tested on VCK190

Updates #4762

comment:10 Changed on 11/22/22 at 02:40:47 by Aaron Nyholm <aaron.nyholm@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"a39a6a249fe5c2bf4c75589a5c00ae4fad28c6d6/rtems-libbsd" a39a6a2/rtems-libbsd]:

rtemsbsd/versal: Add SDHCI Driver support

Tested on VCK190

Closes #4762

Note: See TracTickets for help on using tickets.